# -*- coding: utf-8; -*-
################################################################################
#
#  WuttaPOS -- Pythonic Point of Sale System
#  Copyright © 2023 Lance Edgar
#
#  This file is part of WuttaPOS.
#
#  WuttaPOS is free software: you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation, either version 3 of the License, or (at your option) any later
#  version.
#
#  WuttaPOS is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along with
#  WuttaPOS.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Tasks for WuttaPOS
"""

import os
import shutil

from invoke import task


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, 'wuttapos', '_version.py')).read())


@task
def release(c):
    """
    Release a new version of WuttaPOS
    """
    # rebuild local tar.gz file for distribution
    if os.path.exists('WuttaPOS.egg-info'):
        shutil.rmtree('WuttaPOS.egg-info')
    c.run('python -m build --sdist')

    # upload to PyPI
    filename = f'WuttaPOS-{__version__}.tar.gz'
    c.run(f'twine upload dist/{filename}')
